Lintian ReportsBETA

Wpackage-placeholder-in-symbols-file

Tag versions

The tag is present in Lintian version 2.104.328. That is the most recent version we know about.

The symbols file contains the placeholder #PACKAGE# in the Build-Depends-Package field. During the build process, it will be replaced with the wrong value. There is no placeholder that works.

The development package for your shared library must be stated explicitly.

With the information, dpkg-shlibdeps(1) can calculate the installation prerequisites for your package from the build prerequisites.

Please refer to Debian Policy Manual section 8.6.3.2, the deb-symbols(5) manual page, the dpkg-shlibdeps(1) manual page, https://www.debian.org/doc/manuals/maint-guide/advanced.en.html#librarysymbols, and Bug#944047 for details.

Visibility: warning

Check: debian/symbols

The following 8 source packages in the archive triggered the tag 58 times.

We found 55 overrides. The tag performed 5% of the time.